<?php
//golden_hour regions
function golden_hour_regions() {
    return array(
        'left' => t('left sidebar'),
	'content_top' => t('content top'),
	'content_bottom' => t('content bottom'),
	'footer' => t('footer')
    );
}
//resizes main content according to the presence or absence of the side bar
function golden_hour_get_primaryContent_width($sidebar_left) {
  $width = 66;
  if (!$sidebar_left) {
    $width = $width + 30;
  }  
  if ($sidebar_left) {
    $width = $width + 7;
  }
  return $width;
}
//golden_hour links delimiter and links icons
function golden_hour_links($links, $delimiter = ' &bull;&nbsp;')
{
  if (!is_array($links)) {
    return '';
  }

  /* Maps a link to it's associated class */
  $link_to_id = array(
    t('edit') => 'edit',
    t('delete') => 'delete',
    t('Add a new comment.') => 'add-comment',
    t('comment') => 'comment',
    t('reply') => 'reply',
    t('Printer-friendly version.') => 'print',
    t('add child page.') => 'add-child-page',
    t('calendar.') => 'calendar',
  );

  $new_links = array();

  foreach ($links as $link) {
    foreach ($link_to_id as $text => $id) {
      if (strpos($link, $text)) {
        $link = str_replace('<a ', "<a class=\"icon-$id\" ", $link);
        break;
      }
    }
    $new_links[] = $link;
  }

  return implode($delimiter, $new_links);
}
